Subject: RE: MIB - output port for queue table entry

From: Andrew Smith <[email-masked]>
Date: Thu, 21 Oct 1999 13:36:22 -0700

Several moons ago, Jeff Mandin wrote:
> Is it then the intent that each output port is assigned the same queue
> definitions? This would seem unduly limiting.  

No, I don't think that is necessary.

> If this is not the intent, is the router expected to correlate 
> the queue table entry to an output port according to a proprietary 
> scheme or something?

The diffServQueueTable in the current (-00) MIB is indexed by ifIndex,
In/Out direction and by an arbitrary queue number on that input/output port.
So I don't think this mapping is left as proprietary. 

I don't think we plan on changing this significantly in the next draft,
although we did take an action item to think some more about how to model
related groups of queues: we have thought some more but I'm not sure we will
have our conclusions documented in time for tomorrow's deadline.

Andrew

[Only 2 months after the original question ... apologies]

****************************************************************
Andrew Smith                              tel: +1 (408) 579-2821
Extreme Networks                          fax: +1 (408) 579-3000
3585 Monroe St.                   http://www.extremenetworks.com
Santa Clara CA 95051-1450        em:  [email-masked]
****************************************************************

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Friday, September 10, 1999 10:20 AM
> To: [email-masked]'
> Subject: Re: MIB - output port for queue table entry
> 
> 
> I believe that none of the MIB/model authors answered this yet,
> and I think it needs an answer...
> 
>   Brian
> 
> Jeff Mandin wrote:
> > 
> > A while ago, Brian Carpenter summarized DS mtg. discussion on
> > the conceptual model thus:
> > 
> > >Model is distributed forwarding: router core is surrounded by
> > >ingress and egress interfaces.  Classification and queuing occur at
> > >interfaces, via classifiers, meters, and action elements).  Queuing
> > >only at output interface.  The use of a separate interface
> > >per port makes some policies impossible to specify (e.g.,
> > >constraints on all traffic from a subnet that has multiple paths to
> > >a router would require shared state across interfaces).
> > 
> > The draft MIB includes only a single logical interface in 
> each direction -
> > presumably for the reason that Brian mentions. 
> Nevertheless, when the
> > MIB text states that "the queue table enumerates the queues on an
> > interface"[pg, 18], it is presumably a physical output 
> interface that is
> > intended.
> > 
> > Is it then the intent that each output port is assigned the 
> same queue
> > definitions?   This would seem unduly limiting.  If this is 
> not the intent,
> > is the router expected to correlate the queue table entry 
> to an output
> > port according to a proprietary scheme or something?
> > 
> > 
> > Thanks.
> 
>